Subject: Re: [RFC v2 3/7] net: netfilter conntrack - add per-net functionality for SCTP protocol

From: Patrick McHardy <[email-masked]>
Date: Mon, 16 Mar 2009 19:29:02 +0100

Cyrill Gorcunov wrote:
> After playing a bit with ctrl tables (thought about additional
> mapping set or say new sysctl helper structure, or even using
> extra1 member from struct ctl_table as temporary index) -- 
> you were right in your first propose on this patch. Iterative
> fasion is only more or less convenient here indeed :)
> 
> Patrick, take a look please on the snippet below (that is how
> it looks now).
> ...

> +	for (i = SCTP_CONNTRACK_CLOSED; i < SCTP_CONNTRACK_MAX; i++)
> +		sn->sysctl_table[i - 1].data = &sn->sctp_timeouts[i];

That definitely looks nicer. Does this work (-1) for the other
protocols as well?

> If such an approach is fine -- I will fix the TCP proto
> as well. Btw, this two patches (SCTP and TCP) are only
> involved in such a modification, are there some problems
> with patches for UDP, UDPlite and ICMP protos?

Its better than the macro and I don't really see a better way, so
this is fine with me. About the other patches - I just stopped at
SCTP since it was the first one I truely didn't like :)